package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 生产过程打包规则上下文
 */
@Data
public class MesPackageRuleContext implements Serializable {

    private static final long serialVersionUID = 1369218116212836881L;

    @ApiParam(name = "包装代码")
    private String packageCode;

    @ApiParam(name = "行号")
    private String lineNo;

    @ApiParam(name = "零件号")
    private String partNo;

    @ApiParam(name = "零件名称")
    private String partName;

    @ApiParam(name = "零件类型")
    private String partType;

    @ApiParam("包装规格数量")
    private Double packSpecQty;

    @ApiParam("最小数量")
    private Double minQty;

    @ApiParam("取整数量")
    private Double roundnessQty;

    @ApiParam(name = "计量单位")
    private String unit;

    @ApiParam(name = "是否默认包装")
    private Integer defaultFlag;

    @ApiParam(name = "统计方式")
    private Integer generateType;

    @ApiParam(name = "箱类别代号")
    private String packCode;

    @ApiParam(name = "包装条码编码规则")
    private String packageBarcodeRule;

    @ApiParam(name = "包装条码模板")
    private String packageTemplate;

    @ApiParam(name = "打印机")
    private String printer;

}
